# External Hook

## ITTHook

### didCall

```solidity
function didCall(bytes originalMsgData, address originalMsgSender) external
```

Forwards the call context from the hooked contract.

*Reverts within hooks will revert the hooked contract as well.*

#### Parameters

| Name              | Type    | Description                                  |
| ----------------- | ------- | -------------------------------------------- |
| originalMsgData   | bytes   | Forwarded calldata from the called function. |
| originalMsgSender | address | Forwarded sender from the called function.   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tokentable.xyz/for-developers/unlocker/evm/apis/utilities/external-hook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
